OID reference

dmsMemoryMgmt

1.3.6.1.4.1.1206.4.2.3.6.16

Description

<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.1206.4.2.3.6 (signControl)
Node code
16
Node name
dmsMemoryMgmt
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.1206.4.2.3.6.16
URN notation
urn:oid:1.3.6.1.4.1.1206.4.2.3.6.16
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 1206 4 2 3 6 16}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsMemoryMgmt(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsMemoryMgmt(16)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/1206/4/2/3/6/16
  • /ISO/Identified-Organization/6/1/4/1/1206/4/2/3/6/16
  • /ISO/3/6/1/4/1/1206/4/2/3/6/16
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprise/nema/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprise/nema/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprises/1206/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprises/1206/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprises/nema/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/enterprises/nema/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/1206/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/1206/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/nema/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/nema/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/vendor-objects/1206/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/vendor-objects/1206/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/vendor-objects/nema/transportation/devices/dms/signControl/dmsMemoryMgmt
  • /iso/identified-organization/dod/internet/private/vendor-objects/nema/transportation/devices/fontDefinition/signControl/dmsMemoryMgmt
  • Additional combinations skipped.

SNMP properties

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
mandatory, optional, current
Default value
normal

Definitions may combine these properties differently.

Compare 3 source variants

Variant 1 — NTCIP published standard MIB annexes (reviewed modules), ITE public NTCIP working repository MIBs

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Default value
normal

Variant 2 — NTCIP published standard MIB annexes (reviewed modules)

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
optional

Variant 3 — ITE public NTCIP working repository MIBs

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
current
Default value
normal

Enumerated values

Numbers refer to source variants above. Each value is shown only for variants that define it. Notes below names come from selected MIB definitions.

ValueName and source notesSource variants
1other
deprecated
2, 3
2normal1, 2, 3
3clearChangeableMessages1, 2, 3
4clearVolatileMessages1, 2, 3

Using this OID with SNMP

At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.

snmpget [connection options] DEVICE .1.3.6.1.4.1.1206.4.2.3.6.16.0

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Available source records contain 5 distinct definitions; some records may not include a definition.

Show 5 published definitions

dmsMemoryMgmt · mandatory

dmsMemoryMgmt OBJECT-TYPE
SYNTAX INTEGER {
                 --other (1), -retired
                 normal (2),
                 clearChangeableMessages (3),
                 clearVolatileMessages (4) }
ACCESS read-write
STATUS mandatory
DESCRIPTION
"<Definition> Allows the system to manage the device's memory. SNMP Get
operations on this object should always return normal (2).
<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
DEFVAL {normal}
::= { signControl 16 }

dmsMemoryMgmt · optional

dmsMemoryMgmt OBJECT-TYPE
SYNTAX           INTEGER {
                          other (1),
                          normal (2),
                          clearChangeableMessages (3),
                          clearVolatileMessages (4)
                          }
ACCESS           read-write
STATUS           optional
DESCRIPTION “Allows the system to manage the device’s memory.”
::= {signControl 16}

dmsMemoryMgmt · unconfirmed

dmsMemoryMgmt  OBJECT-TYPE 
SYNTAX      INTEGER  {
                 other (1), -- deprecated 
                 normal (2),
                 clearChangeableMessages (3),
                 clearVolatileMessages (4) } 
MAX-ACCESS  read-write 
STATUS      current  
DESCRIPTION  
"<Definition> Allows the system to manage the device's memory. 

<Format>
SNMP Get operations on this object should always return normal (2).

   clearChangeableMessages (3): the controller shall set dmsMessageStatus for 
all changeable messages to notUsed (1), and release all memory associated 
with changeable messages.  This action does not affect any changeable 
graphics or fonts.

   clearVolatileMessages (4): the controller shall set dmsMessageStatus for 
all volatile messages to notUsed (1), and release all memory associated with 
volatile messages.  This action does not affect any changeable graphics or 
fonts.

<Informative> In v02, the enumerated value of 'other' was deprecated to 
improve interoperability.

<Parameter Type> Control
<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
DEFVAL  {normal} 
::= { signControl 16 }

dmsMemoryMgmt · mandatory

dmsMemoryMgmt  OBJECT-TYPE
SYNTAX  INTEGER  {
                 --other (1), -retired
                 normal (2),
                 clearChangeableMessages (3),
                 clearVolatileMessages (4) }
ACCESS  read-write
STATUS  mandatory
DESCRIPTION 
"<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2).

   clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages.  This action does not affect any changeable graphics or fonts.

   clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages.  This action does not affect any changeable graphics or fonts.

<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
DEFVAL  {normal}
::= { signControl 16 }

dmsMemoryMgmt · mandatory

dmsMemoryMgmt OBJECT-TYPE
SYNTAX INTEGER {
                  --other (1), -retired
                  normal (2),
                  clearChangeableMessages (3),
                  clearVolatileMessages (4) }
ACCESS read-write
STATUS mandatory
DESCRIPTION
"<Definition> Allows the system to manage the device's memory. SNMP Get
operations on this object should always return normal (2).

   clearChangeableMessages (3): the controller shall set dmsMessageStatus for
all changeable messages to notUsed (1), and release all memory associated
with changeable messages. This action does not affect any changeable
graphics or fonts.

   clearVolatileMessages (4): the controller shall set dmsMessageStatus for
all volatile messages to notUsed (1), and release all memory associated with
volatile messages. This action does not affect any changeable graphics or
fonts.

<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
DEFVAL {normal}
::= { signControl 16 }

Meaning

Descriptions

4 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Description 1

<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Description 2

Allows the system to manage the device’s memory.

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Description 3

<Definition> Allows the system to manage the device's memory. <Format> SNMP Get operations on this object should always return normal (2). clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages. This action does not affect any changeable graphics or fonts. clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages. This action does not affect any changeable graphics or fonts. <Informative> In v02, the enumerated value of 'other' was deprecated to improve interoperability. <Parameter Type> Control <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16

Sources for this description

ITE public NTCIP working repository MIBs

See 1 matching source record

Description 4

<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages. This action does not affect any changeable graphics or fonts. clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages. This action does not affect any changeable graphics or fonts. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16

Sources for this description

ITE public NTCIP working repository MIBsNTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Evidence

Source records

4 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 1

dmsMemoryMgmt · mandatoryNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: mandatory.

Names: dmsMemoryMgmt

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsMemoryMgmt",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "{",
    "normal",
    "(",
    "2",
    ")",
    ",",
    "clearChangeableMessages",
    "(",
    "3",
    ")",
    ",",
    "clearVolatileMessages",
    "(",
    "4",
    ")",
    "}",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16\"",
    "DEFVAL",
    "{",
    "normal",
    "}",
    "::=",
    "{",
    "signControl",
    "16",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "enumSpec",
        [
          [
            "normal",
            2
          ],
          [
            "clearChangeableMessages",
            3
          ],
          [
            "clearVolatileMessages",
            4
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "normal"
    ]
  ]
}
Records for description 2NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 2

dmsMemoryMgmt · optionalNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: optional.

Names: dmsMemoryMgmt

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsMemoryMgmt",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "{",
    "other",
    "(",
    "1",
    ")",
    ",",
    "normal",
    "(",
    "2",
    ")",
    ",",
    "clearChangeableMessages",
    "(",
    "3",
    ")",
    ",",
    "clearVolatileMessages",
    "(",
    "4",
    ")",
    "}",
    "ACCESS",
    "read-write",
    "STATUS",
    "optional",
    "DESCRIPTION",
    "“",
    "Allows",
    "the",
    "system",
    "to",
    "manage",
    "the",
    "device",
    "’",
    "s",
    "memory",
    ".",
    "”",
    "::=",
    "{",
    "signControl",
    "16",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "enumSpec",
        [
          [
            "other",
            1
          ],
          [
            "normal",
            2
          ],
          [
            "clearChangeableMessages",
            3
          ],
          [
            "clearVolatileMessages",
            4
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "optional"
    ],
    [
      "DESCRIPTION",
      "Allows the system to manage the device’s memory."
    ],
    null,
    null,
    null,
    null
  ]
}
  • NTCIP published standard MIB annexes (reviewed modules) · Publisher's source file: NTCIP 1203:1997, Object Definitions for Dynamic Message Signs (DMS) Published December 1999 (superceded by NTCIP 1203 v02) — original PDF · Official record

    Module: DMS-MIB

    See published definition above

    Module imports
    {'TMIB': ['OwnerString', 'devices'], 'NEMA_SMI': ['experimental'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString']}

    Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.

    Source data warning: A typographic closing DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.

    Source data warning: A typographic opening DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: TMIB. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    Source data warning: Unconfirmed interpretation of a historical NTCIP import: NTCIP 1203:1997 imports experimental from NEMA_SMI, but the retained original NEMA_SMI defines nemaExperimental instead. Section 2.10 explicitly locates these auxiliary I/O objects under the nema-experimental node. Here only that imported spelling is interpreted as the explicitly assigned nemaExperimental value. The original exp-global suffix 1 and all child numbers are retained. The later NTCIP 1201 v03 compatibility discussion also compares the old experimental spelling with nemaExperimental, but prints expGlobal suffix 2; that disagreement is not silently corrected or treated as proof that both historical branches are registered. These entries may be inaccurate; verify the linked original editions and your device. Native SMI STATUS is preserved separately.

    Related ASN.1 definitions
    nema                     OBJECT IDENTIFIER ::= { enterprises 1206 }
    nemaExperimental         OBJECT IDENTIFIER ::= { nema 2 }
    · Download NTCIP1203v0115a.pdf — DMS-MIB (MIB transcription)
Records for description 3ITE public NTCIP working repository MIBs1 record · 1 source

Description 3

dmsMemoryMgmt · unconfirmedITE public NTCIP working repository MIBs1 source

Status in source: unconfirmed.

Names: dmsMemoryMgmt

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsMemoryMgmt",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "{",
    "other",
    "(",
    "1",
    ")",
    ",",
    "normal",
    "(",
    "2",
    ")",
    ",",
    "clearChangeableMessages",
    "(",
    "3",
    ")",
    ",",
    "clearVolatileMessages",
    "(",
    "4",
    ")",
    "}",
    "MAX-ACCESS",
    "read-write",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"<Definition> Allows the system to manage the device's memory. <Format> SNMP Get operations on this object should always return normal (2). clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages. This action does not affect any changeable graphics or fonts. clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages. This action does not affect any changeable graphics or fonts. <Informative> In v02, the enumerated value of 'other' was deprecated to improve interoperability. <Parameter Type> Control <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16\"",
    "DEFVAL",
    "{",
    "normal",
    "}",
    "::=",
    "{",
    "signControl",
    "16",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "enumSpec",
        [
          [
            "other",
            1
          ],
          [
            "normal",
            2
          ],
          [
            "clearChangeableMessages",
            3
          ],
          [
            "clearVolatileMessages",
            4
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "<Definition> Allows the system to manage the device's memory. <Format> SNMP Get operations on this object should always return normal (2). clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages. This action does not affect any changeable graphics or fonts. clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages. This action does not affect any changeable graphics or fonts. <Informative> In v02, the enumerated value of 'other' was deprecated to improve interoperability. <Parameter Type> Control <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "normal"
    ]
  ]
}
  • ITE public NTCIP working repository MIBs · Publisher's source file: NTCIP-1203 — NTCIP1203-Dms.mib

    Module: NTCIP1203-Dms

    See published definition above

    Module imports
    {'SNMPv2-TC': ['TEXTUAL-CONVENTION', 'DisplayString', 'StorageType', 'RowStatus'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'Integer32', 'Unsigned32', 'Counter32', 'IpAddress'], 'SNMPv2-CONF': ['OBJECT-GROUP'], 'ISO26048-1-Srsa': ['fdSrsaTypeCode', 'fdSrsaPortIndex'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString'], 'ISO26048-1-Global-TC': ['ITSDirection', 'ITSInteger8', 'ITSLatitude84', 'ITSLongitude84', 'ITSBitmap'], 'TRANSPORT-ADDRESS-MIB': ['TransportAddressType', 'TransportAddress'], 'NTCIP8004-Transportation': ['NtcipOwnerString', 'NtcipIntegerBitmap8', 'NtcipIntegerBitmap16', 'NtcipTwoColors', 'devices']}

    Source data warning: This original is published in an ITE NTCIP working repository. Repository publication does not establish that this particular revision is an adopted standard. Consult its native revision history and the NTCIP published standards catalog before implementation. Copyright and distribution notices are retained in the downloadable original.

    Source data warning: Published module-root disagreement: dms has an SMI assignment resolving to 1.3.6.1.4.1.1206.4.2.6, while its DESCRIPTION explicitly prints 1.3.6.1.4.1.1206.4.2.3. All dependent assignments from this module require verification. No root number has been silently corrected.

    Source data warning: Published source disagreement: this literal SMI assignment resolves to 1.3.6.1.4.1.1206.4.2.6.6.16, but its DESCRIPTION explicitly lists 1.3.6.1.4.1.1206.4.2.3.6.16. Both published numeric claims are retained as unconfirmed evidence. Neither value is presented as a verified correction or an independently confirmed registration; consult the original file and the applicable standard edition.

    · Download NTCIP-1203 — NTCIP1203-Dms.mib
Records for description 4ITE public NTCIP working repository MIBs, NTCIP published standard MIB annexes (reviewed modules)1 record · 2 sources

Description 4

dmsMemoryMgmt · mandatoryITE public NTCIP working repository MIBs, NTCIP published standard MIB annexes (reviewed modules)2 sources

Status in source: mandatory.

Names: dmsMemoryMgmt

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsMemoryMgmt",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "{",
    "normal",
    "(",
    "2",
    ")",
    ",",
    "clearChangeableMessages",
    "(",
    "3",
    ")",
    ",",
    "clearVolatileMessages",
    "(",
    "4",
    ")",
    "}",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages. This action does not affect any changeable graphics or fonts. clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages. This action does not affect any changeable graphics or fonts. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16\"",
    "DEFVAL",
    "{",
    "normal",
    "}",
    "::=",
    "{",
    "signControl",
    "16",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "enumSpec",
        [
          [
            "normal",
            2
          ],
          [
            "clearChangeableMessages",
            3
          ],
          [
            "clearVolatileMessages",
            4
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition> Allows the system to manage the device's memory. SNMP Get operations on this object should always return normal (2). clearChangeableMessages (3): the controller shall set dmsMessageStatus for all changeable messages to notUsed (1), and release all memory associated with changeable messages. This action does not affect any changeable graphics or fonts. clearVolatileMessages (4): the controller shall set dmsMessageStatus for all volatile messages to notUsed (1), and release all memory associated with volatile messages. This action does not affect any changeable graphics or fonts. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.16"
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "normal"
    ]
  ]
}
  • ITE public NTCIP working repository MIBs · Publisher's source file: NTCIP_1203 — v03/1203v03A-06g.mib

    Module: NTCIP1203-v0305

    See published definition above

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004v02': ['OwnerString', 'dms']}

    Source data warning: This original is published in an ITE NTCIP working repository. Repository publication does not establish that this particular revision is an adopted standard. Consult its native revision history and the NTCIP published standards catalog before implementation. Copyright and distribution notices are retained in the downloadable original.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP imports: the original references NTCIP8004v02, which is absent from the public repository snapshot. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    · Download NTCIP_1203 — v03/1203v03A-06g.mib
  • NTCIP published standard MIB annexes (reviewed modules) · Publisher's source file: NTCIP 1203 v03, Object Definitions for Dynamic Message Signs (DMS) Published September 2014 — original PDF · Official record

    Module: NTCIP1203-v03-05

    See published definition above

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'NTCIP8004': ['OwnerString', 'dms'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString']}

    Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.

    Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.

    Source data warning: The PDF prints an invalid ASN.1 module label (NTCIP1203 v03.05). The derived transcription uses an equal-length internal parsing label; this is not an OID registration or an alteration of any numeric assignment. The original label and full PDF are retained.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: NTCIP8004. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    · Download NTCIP1203v03f.pdf — NTCIP1203-v03-05 (MIB transcription)

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.1206)

Schopp Bruce J.

Siblings (30)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.1206.4.2.3.6.1 dmsControlMode00
1.3.6.1.4.1.1206.4.2.3.6.2 dmsSWReset00
1.3.6.1.4.1.1206.4.2.3.6.3 dmsActivateMessage00
1.3.6.1.4.1.1206.4.2.3.6.4 dmsMessageTimeRemaining00
1.3.6.1.4.1.1206.4.2.3.6.5 dmsMsgTableSource00
1.3.6.1.4.1.1206.4.2.3.6.6 dmsMsgRequesterID00
1.3.6.1.4.1.1206.4.2.3.6.7 dmsMsgSourceMode00
1.3.6.1.4.1.1206.4.2.3.6.8 dmsShortPowerRecoveryMessage00
1.3.6.1.4.1.1206.4.2.3.6.9 dmsLongPowerRecoveryMessage00
1.3.6.1.4.1.1206.4.2.3.6.10 dmsShortPowerLossTime00
1.3.6.1.4.1.1206.4.2.3.6.11 dmsResetMessage00
1.3.6.1.4.1.1206.4.2.3.6.12 dmsCommunicationsLossMessage00
1.3.6.1.4.1.1206.4.2.3.6.13 dmsTimeCommLoss00
1.3.6.1.4.1.1206.4.2.3.6.14 dmsPowerLossMessage00
1.3.6.1.4.1.1206.4.2.3.6.15 dmsEndDurationMessage00
1.3.6.1.4.1.1206.4.2.3.6.17 dmsActivateMsgError00
1.3.6.1.4.1.1206.4.2.3.6.18 dmsMultiSyntaxError00
1.3.6.1.4.1.1206.4.2.3.6.19 dmsMultiSyntaxErrorPosition00
1.3.6.1.4.1.1206.4.2.3.6.20 dmsMultiOtherErrorDescription00
1.3.6.1.4.1.1206.4.2.3.6.21 vmsPixelServiceDuration00
1.3.6.1.4.1.1206.4.2.3.6.22 vmsPixelServiceFrequency00
1.3.6.1.4.1.1206.4.2.3.6.23 vmsPixelServiceTime00
1.3.6.1.4.1.1206.4.2.3.6.24 dmsActivateErrorMsgCode00
1.3.6.1.4.1.1206.4.2.3.6.25 dmsActivateMessageState00
1.3.6.1.4.1.1206.4.2.3.6.26 dmsActivateMessageV400
1.3.6.1.4.1.1206.4.2.3.6.27 dmsActivateErrorMsgCodeV400
1.3.6.1.4.1.1206.4.2.3.6.28 dmsMsgRequesterAddressType00
1.3.6.1.4.1.1206.4.2.3.6.29 dmsMsgRequesterAddress00
1.3.6.1.4.1.1206.4.2.3.6.30 dmsMsgRequesterSecurityName00
1.3.6.1.4.1.1206.4.2.3.6.31 vmsPixelServiceDurationV400